## Langextinfo

### Definition

Langextinfo ist eine Initialisierungsdatei von VMAKE. Sie ordnet Dateiendungen einer Programmiersprache zu. Jede Programmiersprache wird durch einen Buchstaben repräsentiert (siehe unten).

### Verwendung

Wenn VMAKE eine Datei Langextinfo findet, dann übersteuern die darin enthaltenen Informationen den Systemvorschlag von VMAKE für die Zuordnung von Programmiersprachen.

Um den Systemvorschlag zu übersteuern, legen Sie eine Datei mit dem Namen Langextinfo im Verzeichnis desc an.

#### Syntax

<langextinfo_line> = <comment_line> | (<lang_id><lang_descr><token_sep><token>{<token_sep>,<token_sep><token>}<new_line>)

Verwenden Sie als Kommentarzeichen das Zeichen #

Parameter

Name | Beschreibung
<lang_id> | Buchstabe, der die Sprache identifiziert
<lang_descr> | Beschreibung der Sprache; darf nicht <token_sep> enthalten
<token> | Dateiendung

Wenn Sie Zuordnungen zwischen neuen Buchstaben, Programmen und Dateiendungen vornehmen, dann müssen Sie auch die Datei Langinfo entsprechend pflegen.

Systemvorschlag

zugeordneter Buchstabe (Programm) | Dateiendung/en
x(C++) | cpp, hpp
c(C) | c, h
t(PASCAL) | t
a(Assembler) | s
r(Resources) | rc, ico, def, mc, dlg, idl, ycc, lex, rgs

### Beispiel

w(WinResources) rc